co.aikar.commands

## Class Locales

- java.lang.Object
- - co.aikar.commands.Locales

    public class Locales
    extends Object

### Field Summary

Fields
`static Locale` `AFRIKAANS`
`static Locale` `ARABIC`
`static Locale` `BULGARIAN`
`static Locale` `CHINESE`
`static Locale` `CZECH`
`static Locale` `DANISH`
`static Locale` `DUTCH`
`static Locale` `ENGLISH`
`static Locale` `FINNISH`
`static Locale` `FRENCH`
`static Locale` `GERMAN`
`static Locale` `GREEK`
`static Locale` `HEBREW`
`static Locale` `HINDI`
`static Locale` `ITALIAN`
`static Locale` `JAPANESE`
`static Locale` `KOREAN`
`static Locale` `LATIN`
`static Locale` `NORWEGIAN_BOKMAAL`
`static Locale` `NORWEGIAN_NYNORSK`
`static Locale` `POLISH`
`static Locale` `PORTUGUESE`
`static Locale` `ROMANIAN`
`static Locale` `RUSSIAN`
`static Locale` `SIMPLIFIED_CHINESE`
`static Locale` `SPANISH`
`static Locale` `SWEDISH`
`static Locale` `THAI`
`static Locale` `TRADITIONAL_CHINESE`
`static Locale` `TURKISH`
`static Locale` `UKRANIAN`
`static Locale` `VIETNAMESE`
`static Locale` `WELSH`

### Constructor Summary

Constructors
Constructor and Description
`Locales(CommandManager manager)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `addBundleClassLoader(ClassLoader classLoader)`
`String` `addMessage(Locale locale, co.aikar.locales.MessageKeyProvider key, String message)`
`boolean` `addMessageBundle(ClassLoader classLoader, String bundleName, Locale locale)`
`boolean` `addMessageBundle(String bundleName, Locale locale)`
`void` `addMessageBundles(String... bundleNames)`
`void` `addMessages(Locale locale, @NotNull Map<? extends co.aikar.locales.MessageKeyProvider,String> messages)`
`void` `addMessageStrings(Locale locale, @NotNull Map<String,String> messages)`
`Locale` `getDefaultLocale()`
`String` `getMessage(CommandIssuer issuer, co.aikar.locales.MessageKeyProvider key)`
`void` `loadLanguages()`
`void` `loadMissingBundles()` Looks for all previously loaded bundles, and if any new Supported Languages have been added, load them.
`String` `replaceI18NStrings(String message)`
`Locale` `setDefaultLocale(Locale locale)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ENGLISH

    public static final Locale ENGLISH

#### GERMAN

    public static final Locale GERMAN

#### FRENCH

    public static final Locale FRENCH

#### JAPANESE

    public static final Locale JAPANESE

#### ITALIAN

    public static final Locale ITALIAN

#### KOREAN

    public static final Locale KOREAN

#### CHINESE

    public static final Locale CHINESE

#### SIMPLIFIED_CHINESE

    public static final Locale SIMPLIFIED_CHINESE

#### TRADITIONAL_CHINESE

    public static final Locale TRADITIONAL_CHINESE

#### SPANISH

    public static final Locale SPANISH

#### DUTCH

    public static final Locale DUTCH

#### DANISH

    public static final Locale DANISH

#### CZECH

    public static final Locale CZECH

#### GREEK

    public static final Locale GREEK

#### LATIN

    public static final Locale LATIN

#### BULGARIAN

    public static final Locale BULGARIAN

#### AFRIKAANS

    public static final Locale AFRIKAANS

#### HINDI

    public static final Locale HINDI

#### HEBREW

    public static final Locale HEBREW

#### POLISH

    public static final Locale POLISH

#### PORTUGUESE

    public static final Locale PORTUGUESE

#### FINNISH

    public static final Locale FINNISH

#### SWEDISH

    public static final Locale SWEDISH

#### RUSSIAN

    public static final Locale RUSSIAN

#### ROMANIAN

    public static final Locale ROMANIAN

#### VIETNAMESE

    public static final Locale VIETNAMESE

#### THAI

    public static final Locale THAI

#### TURKISH

    public static final Locale TURKISH

#### UKRANIAN

    public static final Locale UKRANIAN

#### ARABIC

    public static final Locale ARABIC

#### WELSH

    public static final Locale WELSH

#### NORWEGIAN_BOKMAAL

    public static final Locale NORWEGIAN_BOKMAAL

#### NORWEGIAN_NYNORSK

    public static final Locale NORWEGIAN_NYNORSK

### Constructor Detail

#### Locales

    public Locales(CommandManager manager)

### Method Detail

#### loadLanguages

    public void loadLanguages()

#### getDefaultLocale

    public Locale getDefaultLocale()

#### setDefaultLocale

    public Locale setDefaultLocale(Locale locale)

#### loadMissingBundles

    public void loadMissingBundles()

Looks for all previously loaded bundles, and if any new Supported Languages have been added, load them.

#### addMessageBundles

    public void addMessageBundles(String... bundleNames)

#### addMessageBundle

    public boolean addMessageBundle(String bundleName,
                                    Locale locale)

#### addMessageBundle

    public boolean addMessageBundle(ClassLoader classLoader,
                                    String bundleName,
                                    Locale locale)

#### addMessageStrings

    public void addMessageStrings(Locale locale,
                                  @NotNull
                                  @NotNull Map<String,String> messages)

#### addMessages

    public void addMessages(Locale locale,
                            @NotNull
                            @NotNull Map<? extends co.aikar.locales.MessageKeyProvider,String> messages)

#### addMessage

    public String addMessage(Locale locale,
                             co.aikar.locales.MessageKeyProvider key,
                             String message)

#### getMessage

    public String getMessage(CommandIssuer issuer,
                             co.aikar.locales.MessageKeyProvider key)

#### replaceI18NStrings

    public String replaceI18NStrings(String message)

#### addBundleClassLoader

    public boolean addBundleClassLoader(ClassLoader classLoader)